Passer au contenu principal
PATCH
https://{tenantDomain}/api/v2
/
log-streams
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.LogStreams.UpdateAsync(
            id: "id",
            request: new UpdateLogStreamRequestContent()
        );
    }

}
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.UpdateLogStreamRequestContent{}
    client.LogStreams.Update(
        context.TODO(),
        "id",
        request,
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.logstreams.requests.UpdateLogStreamRequestContent;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.logStreams().update(
            "id",
            UpdateLogStreamRequestContent
                .builder()
                .build()
        );
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\LogStreams\Requests\UpdateLogStreamRequestContent;

$client = new Management(
    token: '<token>',
);
$client->logStreams->update(
    'id',
    new UpdateLogStreamRequestContent([]),
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.log_streams.update(
    id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.log_streams.update(id: "id")
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.logStreams.update("id", {});
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.logStreams.update("id", {});
}
main();
curl --request PATCH \
  --url https://{tenantDomain}/api/v2/log-streams/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "isPriority": true,
  "filters": [
    {
      "type": "category"
    }
  ],
  "sink": {
    "httpEndpoint": "<string>",
    "httpAuthorization": "<string>",
    "httpContentType": "<string>",
    "httpCustomHeaders": [
      {
        "header": "<string>",
        "value": "<string>"
      }
    ]
  }
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "http",
  "isPriority": true,
  "filters": [
    {
      "type": "category"
    }
  ],
  "pii_config": {
    "log_fields": [],
    "algorithm": "xxhash"
  },
  "sink": {
    "httpEndpoint": "<string>",
    "httpAuthorization": "<string>",
    "httpContentType": "<string>",
    "httpCustomHeaders": [
      {
        "header": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The id of the log stream to get

Corps

name
string

log stream name

status
enum<string>

The status of the log stream. Possible values: active, paused, suspended

Options disponibles:
active,
paused,
suspended
isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
sink
object

Réponse

Log stream updated

id
string<log-stream-id>

The id of the log stream

name
string

log stream name

status
enum<string>

The status of the log stream. Possible values: active, paused, suspended

Options disponibles:
active,
paused,
suspended
type
enum<string>
Options disponibles:
http
isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
sink
object